Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163872 - GtkDeprecationWarning: gtk.mainloop, gtk.mainquit
Summary: GtkDeprecationWarning: gtk.mainloop, gtk.mainquit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-netboot
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On: 153047
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-21 18:34 UTC by Jason Vas Dias
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-484
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:48:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:484 qe-ready SHIPPED_LIVE Updated system-config-netboot package 2005-10-05 04:00:00 UTC

Description Jason Vas Dias 2005-07-21 18:34:12 UTC
+++ This bug was initially created as a clone of Bug #153047 +++

Description of problem:

/usr/share/system-config-netboot/system-config-netboot.py:436:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  gtk.mainloop()
/usr/share/system-config-netboot/system-config-netboot.py:422:
GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit instead
  gtk.mainquit()


Version-Release number of selected component (if applicable):

0.1.12-1

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.

Comment 1 Jason Vas Dias 2005-07-21 20:58:11 UTC
Fixed for bug Bug #153047 with system-config-netboot-0.1.20-1_EL4

Comment 4 Red Hat Bugzilla 2005-10-05 13:48:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-484.html



Note You need to log in before you can comment on or make changes to this bug.